var destFolder = Folder.selectDialog();

var docRef = app.activeDocument;

// grab the current filename (this includes full path)
var originalName = docRef.fullName;
var fileName = docRef.name;
    
var num_artboards = docRef.artboards.length;

for (var i = 0; i < num_artboards; i++ )
{
    var destFile = new File(destFolder + "/" + docRef.artboards[i].name + ".png");    
    var options = new ExportOptionsPNG24();
    options.artBoardClipping = true;
    options.matte = false;
        
    docRef.artboards.setActiveArtboardIndex(i);
    
    docRef.exportFile (destFile, ExportType.PNG24, options);    
}

// save the file using the original fullName
docRef.saveAs( originalName );