var destFolder = Folder.selectDialog();

var docRef = app.activeDocument;

// grab the current filename (this includes full path)
var originalName = docRef.fullName;
var fileName = docRef.name;

// strip extension (not sure if IA support RegExp so just using a string)
var docNameNoExt = fileName.replace(".ai", "");

var num_artboards = docRef.artboards.length;

for (var i = 0; i < num_artboards; i++ )
{
  var destFile = new File(destFolder + "/" + docRef.artboards[i].name + ".svg");    
  var options = new ExportOptionsSVG();
  options.artBoardClipping = true;

  docRef.artboards.setActiveArtboardIndex(i);

  docRef.exportFile (destFile, ExportType.SVG, options);    
}

// save the file using the original fullName
docRef.saveAs( originalName );